/*  */
function eye_change_shtp(path, sval, mode, ditem, field, deri, dform, fow) {
	var intnm = field+(((deri) && deri != '') ? '_'+deri : '');
	if ($(dform+' #'+intnm).length > 0) {
		var cust = ($(dform+' #'+intnm).attr('mft')) ? $(dform+' #'+intnm).attr('mft') : '',
			type = ($(dform+' .'+intnm+'_text').attr('type')) ? $(dform+' .'+intnm+'_text').attr('type') : 'password';
		var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&ditem='+ditem+'&field='+field+'&deri='+deri+'&fow='+fow+'&act=eyeset';
		url += '&cust='+cust+'&type='+type;
		var data = 'enstr='+EncodeURLutf8($(dform+' #'+intnm).val());
		$.post(url, data, function(msg) {
			// console.log(msg);
			var ret_msg = JSON.parse(msg);
			if (ret_msg[0].result == 'false') {
				alert(ret_msg[0].message);
				return false;
			} else {
				if (ret_msg[0].ctype) $(dform+' .'+intnm+'_text').attr('type',ret_msg[0].ctype);
				if (ret_msg[0].retval) $(dform+' .'+intnm+'_text').val(ret_msg[0].retval);
				if (ret_msg[0].impath) $(dform+' .'+intnm+'_icon a img').attr('src',ret_msg[0].impath);
			}
		});
	}
}